python-audit_2.8.3-1ubuntu3_amd64.deb


Advertisement

Description

python-audit - Python bindings for security auditing

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename python-audit_2.8.3-1ubuntu3_amd64.deb
Package name python-audit
Package version 2.8.3
Package release 1ubuntu3
Package architecture amd64
Package type deb
Category universe/python
Homepage https://people.redhat.com/sgrubb/audit/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 54.56 KB
Installed size 325.00 KB
The package contains the Python bindings for libaudit and libauparse, which
are used to monitor systems for security related events. Python can be used to
parse and process the security event messages.

Alternatives

Package Version Architecture Repository
python-audit_2.8.3-1ubuntu3_i386.deb 2.8.3 i386 Ubuntu Universe
python-audit - - -

Requires

Name Value
libaudit1 >= 1:2.8
libauparse0 >= 1:2.8
libc6 >= 2.14
python >= 2.7~
python << 2.8
python:any >= 2.7~
python:any << 2.8

Provides

Name Value
python2.7-audit -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-audit_2.8.3-1ubuntu3_amd64.deb
Source Package audit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-audit deb package:
    # sudo apt-get install python-audit

Files

Path
/usr/lib/python2.7/dist-packages/_audit.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/audit.py
/usr/lib/python2.7/dist-packages/auparse.x86_64-linux-gnu.so
/usr/share/doc/python-audit/changelog.Debian.gz
/usr/share/doc/python-audit/copyright
/usr/share/doc/python-audit/examples/avc_snap

Changelog

2018-11-03 - Matthias Klose <doko@ubuntu.com>
audit (1:2.8.3-1ubuntu3) disco; urgency=medium
* No-change rebuild to build without python3.6 support.
2018-06-28 - Matthias Klose <doko@ubuntu.com>
audit (1:2.8.3-1ubuntu2) cosmic; urgency=medium
* No-change rebuild to build for python3.7.
2018-05-15 - Steve Langasek <steve.langasek@ubuntu.com>
audit (1:2.8.3-1ubuntu1) cosmic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- debian/rules: Disable auditd network listener, with --disable-listener,
to reduce the risk of a remote attack on auditd, which runs as root
2018-04-26 - Laurent Bigonville <bigon@debian.org>
audit (1:2.8.3-1) unstable; urgency=medium
[ Karsten Merker ]
* Add pkg.audit.noldap build-profile to help bootstrap new architectures
(Closes: #894314)
[ Laurent Bigonville ]
* New bugfix upstream release
* debian/control: Bump Standards-Version to 4.1.4 (no further changes)
* debian/rules: Use dh_missing instead of dh_install to list not installed
files
* debian/control: Add Rules-Requires-Root: binary-targets field
* Drop old and unused debian/patches/DESACTIVATED:build-on-hppa patch
* debian/control: Move git repository to salsa
2018-02-07 - Steve Langasek <steve.langasek@ubuntu.com>
audit (1:2.8.2-1ubuntu1) bionic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- debian/rules: Disable auditd network listener, with --disable-listener,
to reduce the risk of a remote attack on auditd, which runs as root
2017-12-18 - Laurent Bigonville <bigon@debian.org>
audit (1:2.8.2-1) unstable; urgency=medium
* New bugfix upstream release
- debian/libaudit1.symbols: Add newly exported symbol
* debian/control: Bump Standards-Version to 4.1.2 (no further changes)
* debian/watch: Use https:// instead of http://
2017-11-08 - Laurent Bigonville <bigon@debian.org>
audit (1:2.8.1-2) unstable; urgency=medium
* Make auditd logs readable by the adm group by default (Closes: #759604)
2017-10-15 - Laurent Bigonville <bigon@debian.org>
audit (1:2.8.1-1) unstable; urgency=medium
* New bugfix upstream release
* debian/control: Move all packages from Priority: extra (which is
deprecated) to Priority: optional
2017-10-12 - Laurent Bigonville <bigon@debian.org>
audit (1:2.8-1) unstable; urgency=low
* New upstream release
- debian/libaudit1.symbols, debian/libauparse0.symbols: Add newly exported
symbols
2017-10-03 - Laurent Bigonville <bigon@debian.org>
audit (1:2.7.8-1) unstable; urgency=medium
* New upstream release
- debian/libauparse0.symbols: Add newly exported symbol
* debian/control: Bump Standards-Version to 4.1.1 (no further changes)
* Bump debhelper compatibility to 10, drop dh-systemd and dh-autoreconf
build-dep, these are not needed anymore

See Also

Package Description
python-augeas_0.5.0-1_all.deb Python bindings for Augeas
python-authheaders_0.10.0-1_all.deb Python module for generating email authentication headers
python-authkit_0.4.3-2build1_all.deb authentication and authorisation framework for Python WSGI applications
python-authres_1.1.1-1_all.deb RFC 7601 Authentication Results Header manipulation for Python
python-autobahn_17.10.1+dfsg1-3_all.deb WebSocket client and server library, WAMP framework - Python 2.x
python-automat_0.6.0-1_all.deb Self-service finite-state machines for the programmer on the go
python-automaton_1.14.0-0ubuntu1_all.deb friendly state machines - Python 2.7
python-autopep8_1.4.3-1_all.deb tool that automatically formats Python code to conform to PEP 8
python-autopilot-tests_1.4.1+17.04.20170305-0ubuntu1_all.deb Tests for the autopilot functional test tool
python-autopilot-trace_1.4.1+17.04.20170305-0ubuntu1_amd64.deb Support for tracing in autopilot
python-autopilot-vis_1.4.1+17.04.20170305-0ubuntu1_all.deb The visualisation application for Autopilot
python-autopilot_1.4.1+17.04.20170305-0ubuntu1_all.deb Utility to write and run integration tests easily
python-avahi_0.7-4ubuntu5_amd64.deb Python utility package for Avahi
python-avc_0.8.3-1.1_all.deb live connection among widgets and application variables
python-avogadro_1.2.0-4build1_amd64.deb Molecular Graphics and Modelling System (Python module)
Advertisement
Advertisement